// (c) MIT 2003.  All rights reserved.

package rec.core;


////////////////////////////////////////////////////////////////////////////////
//
// FILE:	UncopyTransition.java
//
// AUTHOR:	Manoj D. Muzumdar
//		archon@ai.mit.edu
//
// DATE:	June, 1998
//
// COPYRIGHT:	Massachusetts Institute of Technology
//		All rights reserved.
//
// PURPOSE:	Drawing recognition
//
// HISTORY:     September, 1998
//              MDM
//              modified to fit with new recognition model
//
////////////////////////////////////////////////////////////////////////////////


import rec.sys.*;

public class UncopyTransition extends Transition
{
  public UncopyTransition( Surface s, Widget parentWidget, Widget copiedWidget )
  {
    super( s );

    m_ParentWidget = parentWidget;
    m_CopiedWidget = copiedWidget;
  }
  /////////////////////////////////////////////////////////////////////////////

  public Widget getParentWidget()
  {
    return( m_ParentWidget );
  }

  public Widget getCopiedWidget()
  {
    return( m_CopiedWidget );
  }

  public void doUndo()
  {
    getSurface().addWidget( m_CopiedWidget, false );

  }

  public Transition makeRedoTransition( )
  {
    return( new UncopyTransition( getSurface(),
				  m_ParentWidget, m_CopiedWidget ) );
  }

      public String name()
	{
	  return "uncopy";
	}

  //////////////////////////////////////////////////////////////////////////////

  private Widget m_ParentWidget;
  private Widget m_CopiedWidget;
}

////////////////////////////////////////////////////////////////////////////////
